Index: /trunk/src/defaults.h
===================================================================
--- /trunk/src/defaults.h	(revision 91)
+++ /trunk/src/defaults.h	(revision 92)
@@ -46,4 +46,6 @@
 //! Default for "Save main window state and position"
 #define DEF_SAVEPOS false
+//! Default for "Use translucency effects in Vista/7"
+#define DEF_USE_TRANSLUCENCY true
 
 //////// TASK
Index: /trunk/src/globals.h
===================================================================
--- /trunk/src/globals.h	(revision 91)
+++ /trunk/src/globals.h	(revision 92)
@@ -39,4 +39,6 @@
 // TSPSG Defaults
 #include "defaults.h"
+// Vista/7 Eyecandy
+#include "qtwin.h"
 
 // DEFINES
Index: /trunk/src/main.cpp
===================================================================
--- /trunk/src/main.cpp	(revision 91)
+++ /trunk/src/main.cpp	(revision 92)
@@ -33,4 +33,6 @@
 #endif
 
+#include "qtwin.h"
+
 #ifdef STATIC_BUILD
 	Q_IMPORT_PLUGIN(qjpeg)
Index: /trunk/src/mainwindow.cpp
===================================================================
--- /trunk/src/mainwindow.cpp	(revision 91)
+++ /trunk/src/mainwindow.cpp	(revision 92)
@@ -225,6 +225,6 @@
 {
 QPrintPreviewDialog ppd(printer, this);
-    connect(&ppd,SIGNAL(paintRequested(QPrinter *)),SLOT(printPreview(QPrinter *)));
-    ppd.exec();
+	connect(&ppd,SIGNAL(paintRequested(QPrinter *)),SLOT(printPreview(QPrinter *)));
+	ppd.exec();
 }
 
@@ -258,4 +258,7 @@
 			QApplication::restoreOverrideCursor();
 		}
+	}
+	if (sd.translucencyChanged() != 0) {
+		toggleTranclucency(sd.translucencyChanged() == 1);
 	}
 }
@@ -352,4 +355,6 @@
 	txtAbout->moveCursor(QTextCursor::Start);
 
+	bb->button(QDialogButtonBox::Ok)->setCursor(QCursor(Qt::PointingHandCursor));
+
 	vb->addLayout(hb);
 	vb->addWidget(txtAbout);
@@ -361,4 +366,9 @@
 
 	connect(bb, SIGNAL(accepted()), dlg, SLOT(accept()));
+
+	// Adding some eyecandy in Vista and 7 :-)
+	if (QtWin::isCompositionEnabled())  {
+		QtWin::enableBlurBehindWindow(dlg, true);
+	}
 
 	dlg->resize(410, 300);
@@ -758,7 +768,11 @@
 
 #ifdef Q_OS_WINCE
+	menuBar()->setDefaultAction(menuFile->menuAction());
+#endif // Q_OS_WINCE
+
+#ifdef Q_OS_WINCE
 	//! \hack HACK: A little hack for toolbar icons to have a sane size.
 	toolBar->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
-#endif
+#endif // Q_OS_WINCE
 
 	solutionText->document()->setDefaultFont(settings->value("Output/Font",QFont(DEF_FONT_FAMILY,DEF_FONT_SIZE)).value<QFont>());
@@ -794,5 +808,8 @@
 	retranslateUi(false);
 
-	setCentralWidget(tabWidget);
+	// Adding some eyecandy in Vista and 7 :-)
+	if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
+		toggleTranclucency(true);
+	}
 }
 
@@ -809,2 +826,13 @@
 #endif // QT_NO_PRINTER
 }
+
+void MainWindow::toggleTranclucency(bool enable)
+{
+	QtWin::enableBlurBehindWindow(this, enable);
+	QtWin::enableBlurBehindWindow(tabWidget, enable);
+
+	if (QtWin::enableBlurBehindWindow(tabTask, enable))
+		tabTask->setAutoFillBackground(enable);
+	if (QtWin::enableBlurBehindWindow(tabSolution, enable))
+		tabSolution->setAutoFillBackground(enable);
+}
Index: /trunk/src/mainwindow.h
===================================================================
--- /trunk/src/mainwindow.h	(revision 91)
+++ /trunk/src/mainwindow.h	(revision 92)
@@ -101,4 +101,5 @@
 	void setupUi();
 	void toggleSolutionActions(bool enable = true);
+	void toggleTranclucency(bool enable);
 };
 
Index: /trunk/src/qtwin.cpp
===================================================================
--- /trunk/src/qtwin.cpp	(revision 92)
+++ /trunk/src/qtwin.cpp	(revision 92)
@@ -0,0 +1,222 @@
+/****************************************************************************
+**
+** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
+**
+** Use, modification and distribution is allowed without limitation,
+** warranty, liability or support of any kind.
+**
+****************************************************************************/
+
+#include "qtwin.h"
+#include <QLibrary>
+#include <QApplication>
+#include <QWidget>
+#include <QList>
+#include <QPointer>
+
+#ifdef Q_WS_WIN
+
+#include <qt_windows.h>
+
+// Blur behind data structures
+#define DWM_BB_ENABLE                 0x00000001  // fEnable has been specified
+#define DWM_BB_BLURREGION             0x00000002  // hRgnBlur has been specified
+#define DWM_BB_TRANSITIONONMAXIMIZED  0x00000004  // fTransitionOnMaximized has been specified
+#define WM_DWMCOMPOSITIONCHANGED        0x031E    // Composition changed window message
+
+typedef struct _DWM_BLURBEHIND
+{
+    DWORD dwFlags;
+    BOOL fEnable;
+    HRGN hRgnBlur;
+    BOOL fTransitionOnMaximized;
+} DWM_BLURBEHIND, *PDWM_BLURBEHIND;
+
+typedef struct _MARGINS
+{
+    int cxLeftWidth;
+    int cxRightWidth;
+    int cyTopHeight;
+    int cyBottomHeight;
+} MARGINS, *PMARGINS;
+
+typedef HRESULT (WINAPI *PtrDwmIsCompositionEnabled)(BOOL* pfEnabled);
+typedef HRESULT (WINAPI *PtrDwmExtendFrameIntoClientArea)(HWND hWnd, const MARGINS* pMarInset);
+typedef HRESULT (WINAPI *PtrDwmEnableBlurBehindWindow)(HWND hWnd, const DWM_BLURBEHIND* pBlurBehind);
+typedef HRESULT (WINAPI *PtrDwmGetColorizationColor)(DWORD *pcrColorization, BOOL *pfOpaqueBlend);
+
+static PtrDwmIsCompositionEnabled pDwmIsCompositionEnabled= 0;
+static PtrDwmEnableBlurBehindWindow pDwmEnableBlurBehindWindow = 0;
+static PtrDwmExtendFrameIntoClientArea pDwmExtendFrameIntoClientArea = 0;
+static PtrDwmGetColorizationColor pDwmGetColorizationColor = 0;
+
+
+/*
+ * Internal helper class that notifies windows if the
+ * DWM compositing state changes and updates the widget
+ * flags correspondingly.
+ */
+class WindowNotifier : public QWidget
+{
+public:
+    WindowNotifier() { winId(); }
+    void addWidget(QWidget *widget) { widgets.append(widget); }
+    void removeWidget(QWidget *widget) { widgets.removeAll(widget); }
+    bool winEvent(MSG *message, long *result);
+
+private:
+    QWidgetList widgets;
+};
+
+static bool resolveLibs()
+{
+    if (!pDwmIsCompositionEnabled) {
+        QLibrary dwmLib(QString::fromAscii("dwmapi"));
+        pDwmIsCompositionEnabled =(PtrDwmIsCompositionEnabled)dwmLib.resolve("DwmIsCompositionEnabled");
+        pDwmExtendFrameIntoClientArea = (PtrDwmExtendFrameIntoClientArea)dwmLib.resolve("DwmExtendFrameIntoClientArea");
+        pDwmEnableBlurBehindWindow = (PtrDwmEnableBlurBehindWindow)dwmLib.resolve("DwmEnableBlurBehindWindow");
+        pDwmGetColorizationColor = (PtrDwmGetColorizationColor)dwmLib.resolve("DwmGetColorizationColor");
+    }
+    return pDwmIsCompositionEnabled != 0;
+}
+
+#endif
+
+/*!
+  * Chekcs and returns true if Windows DWM composition
+  * is currently enabled on the system.
+  *
+  * To get live notification on the availability of
+  * this feature, you will currently have to
+  * reimplement winEvent() on your widget and listen
+  * for the WM_DWMCOMPOSITIONCHANGED event to occur.
+  *
+  */
+bool QtWin::isCompositionEnabled()
+{
+#ifdef Q_WS_WIN
+    if (resolveLibs()) {
+        HRESULT hr = S_OK;
+        BOOL isEnabled = false;
+        hr = pDwmIsCompositionEnabled(&isEnabled);
+        if (SUCCEEDED(hr))
+            return isEnabled;
+    }
+#endif
+    return false;
+}
+
+/*!
+  * Enables Blur behind on a Widget.
+  *
+  * \a enable tells if the blur should be enabled or not
+  */
+bool QtWin::enableBlurBehindWindow(QWidget *widget, bool enable)
+{
+    Q_ASSERT(widget);
+    bool result = false;
+#ifdef Q_WS_WIN
+    if (resolveLibs()) {
+        DWM_BLURBEHIND bb = {0};
+        HRESULT hr = S_OK;
+        bb.fEnable = enable;
+        bb.dwFlags = DWM_BB_ENABLE;
+        bb.hRgnBlur = NULL;
+        widget->setAttribute(Qt::WA_TranslucentBackground, enable);
+        widget->setAttribute(Qt::WA_NoSystemBackground, enable);
+        hr = pDwmEnableBlurBehindWindow(widget->winId(), &bb);
+        if (SUCCEEDED(hr)) {
+            result = true;
+            windowNotifier()->addWidget(widget);
+        }
+    }
+#endif
+    return result;
+}
+
+/*!
+  * ExtendFrameIntoClientArea.
+  *
+  * This controls the rendering of the frame inside the window.
+  * Note that passing margins of -1 (the default value) will completely
+  * remove the frame from the window.
+  *
+  * \note you should not call enableBlurBehindWindow before calling
+  *       this functions
+  *
+  * \a enable tells if the blur should be enabled or not
+  */
+bool QtWin::extendFrameIntoClientArea(QWidget *widget, int left, int top, int right, int bottom)
+{
+
+    Q_ASSERT(widget);
+    Q_UNUSED(left);
+    Q_UNUSED(top);
+    Q_UNUSED(right);
+    Q_UNUSED(bottom);
+
+    bool result = false;
+#ifdef Q_WS_WIN
+    if (resolveLibs()) {
+        QLibrary dwmLib(QString::fromAscii("dwmapi"));
+        HRESULT hr = S_OK;
+        MARGINS m = {left, top, right, bottom};
+        hr = pDwmExtendFrameIntoClientArea(widget->winId(), &m);
+        if (SUCCEEDED(hr)) {
+            result = true;
+            windowNotifier()->addWidget(widget);
+        }
+        widget->setAttribute(Qt::WA_TranslucentBackground, result);
+    }
+#endif
+    return result;
+}
+
+/*!
+  * Returns the current colorizationColor for the window.
+  *
+  * \a enable tells if the blur should be enabled or not
+  */
+QColor QtWin::colorizatinColor()
+{
+    QColor resultColor = QApplication::palette().window().color();
+
+#ifdef Q_WS_WIN
+    if (resolveLibs()) {
+        DWORD color = 0;
+        BOOL opaque = FALSE;
+        QLibrary dwmLib(QString::fromAscii("dwmapi"));
+        HRESULT hr = S_OK;
+        hr = pDwmGetColorizationColor(&color, &opaque);
+        if (SUCCEEDED(hr))
+            resultColor = QColor(color);
+    }
+#endif
+    return resultColor;
+}
+
+#ifdef Q_WS_WIN
+WindowNotifier *QtWin::windowNotifier()
+{
+    static WindowNotifier *windowNotifierInstance = 0;
+    if (!windowNotifierInstance)
+        windowNotifierInstance = new WindowNotifier;
+    return windowNotifierInstance;
+}
+
+
+/* Notify all enabled windows that the DWM state changed */
+bool WindowNotifier::winEvent(MSG *message, long *result)
+{
+    if (message && message->message == WM_DWMCOMPOSITIONCHANGED) {
+        bool compositionEnabled = QtWin::isCompositionEnabled();
+        foreach(QWidget * widget, widgets) {
+            if (widget) {
+                widget->setAttribute(Qt::WA_NoSystemBackground, compositionEnabled);
+            }
+            widget->update();
+        }
+    }
+    return QWidget::winEvent(message, result);
+}
+#endif
Index: /trunk/src/qtwin.h
===================================================================
--- /trunk/src/qtwin.h	(revision 92)
+++ /trunk/src/qtwin.h	(revision 92)
@@ -0,0 +1,37 @@
+/****************************************************************************
+**
+** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
+**
+** Use, modification and distribution is allowed without limitation,
+** warranty, liability or support of any kind.
+**
+****************************************************************************/
+
+#ifndef QTWIN_H
+#define QTWIN_H
+
+#include <QColor>
+#include <QWidget>
+/**
+  * This is a helper class for using the Desktop Window Manager
+  * functionality on Windows 7 and Windows Vista. On other platforms
+  * these functions will simply not do anything.
+  */
+
+class WindowNotifier;
+
+class QtWin
+{
+public:
+    static bool enableBlurBehindWindow(QWidget *widget, bool enable = true);
+    static bool extendFrameIntoClientArea(QWidget *widget,
+                                          int left = -1, int top = -1,
+                                          int right = -1, int bottom = -1);
+    static bool isCompositionEnabled();
+    static QColor colorizatinColor();
+
+private:
+    static WindowNotifier *windowNotifier();
+};
+
+#endif // QTWIN_H
Index: /trunk/src/settingsdialog.cpp
===================================================================
--- /trunk/src/settingsdialog.cpp	(revision 91)
+++ /trunk/src/settingsdialog.cpp	(revision 92)
@@ -31,5 +31,5 @@
  */
 SettingsDialog::SettingsDialog(QWidget *parent)
-	: QDialog(parent), newFont(false), newColor(false)
+	: QDialog(parent), _newFont(false), _newColor(false), _translucency(0)
 {
 	setupUi(this);
@@ -68,4 +68,14 @@
 QVBoxLayout *vbox1, *vbox2;
 QHBoxLayout *hbox1, *hbox2;
+
+	if (QtWin::isCompositionEnabled()) {
+		cbUseTranslucency = new QCheckBox(bgWhite);
+		cbUseTranslucency->setObjectName("cbUseTranslucency");
+#ifndef QT_NO_STATUSTIP
+		cbUseTranslucency->setStatusTip(tr("Use translucent effect on the Main Window under Windows Vista and 7"));
+#endif // QT_NO_STATUSTIP
+		cbUseTranslucency->setText(tr("Use translucency effects"));
+		cbUseTranslucency->setCursor(QCursor(Qt::PointingHandCursor));
+	}
 
 	cbSaveState = new QCheckBox(bgWhite);
@@ -114,4 +124,8 @@
 	vbox1 = static_cast<QVBoxLayout *>(tabGeneral->layout());
 	vbox1->insertWidget(vbox1->indexOf(cbUseNativeDialogs) + 1, cbSaveState);
+#ifdef Q_OS_WIN32
+	if (QtWin::isCompositionEnabled())
+		vbox1->insertWidget(vbox1->indexOf(cbUseNativeDialogs) + 1, cbUseTranslucency);
+#endif // Q_OS_WIN32
 
 	// Bottom part (with grey bg)
@@ -146,4 +160,8 @@
 	cbAutosize->setChecked(settings->value("Autosize", DEF_AUTOSIZE).toBool());
 	cbUseNativeDialogs->setChecked(settings->value("UseNativeDialogs", DEF_USE_NATIVE_DIALOGS).toBool());
+#ifdef Q_OS_WIN32
+	if (QtWin::isCompositionEnabled())
+		cbUseTranslucency->setChecked(settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool());
+#endif // Q_OS_WIN32
 #ifndef Q_OS_WINCE
 	cbSaveState->setChecked(settings->value("SavePos", DEF_SAVEPOS).toBool());
@@ -181,5 +199,5 @@
 bool SettingsDialog::colorChanged() const
 {
-	return newColor;
+	return _newColor;
 }
 
@@ -190,5 +208,13 @@
 bool SettingsDialog::fontChanged() const
 {
-	return newFont;
+	return _newFont;
+}
+
+/*!
+ *
+ */
+qint8 SettingsDialog::translucencyChanged() const
+{
+	return _translucency;
 }
 
@@ -200,6 +226,15 @@
 	settings->setValue("SavePos", cbSaveState->isChecked());
 #endif // Q_OS_WINCE
+#ifdef Q_OS_WIN32
+	if (QtWin::isCompositionEnabled()) {
+bool old = settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool();
+		if ((!old && cbUseTranslucency->isChecked()) || (old && !cbUseTranslucency->isChecked())) {
+			_translucency = old ? -1 : 1;
+		} else
+			_translucency = 0;
+		settings->setValue("UseTranslucency", cbUseTranslucency->isChecked());
+	}
+#endif // Q_OS_WIN32
 	settings->setValue("UseNativeDialogs", cbUseNativeDialogs->isChecked());
-	settings->setValue("Autosize", cbAutosize->isChecked());
 
 	settings->beginGroup("Task");
@@ -216,7 +251,7 @@
 		settings->setValue("ShowMatrixLimit", spinCitiesLimit->value());
 	settings->setValue("ScrollToEnd", cbScrollToEnd->isChecked());
-	if (newFont)
+	if (_newFont)
 		settings->setValue("Font", font);
-	if (newColor)
+	if (_newColor)
 		settings->setValue("Color", color);
 	settings->endGroup();
@@ -229,5 +264,5 @@
 	if (color.isValid() && (this->color != color)) {
 		this->color = color;
-		newColor = true;
+		_newColor = true;
 	}
 }
@@ -239,5 +274,5 @@
 	if (ok && (this->font != font)) {
 		this->font = font;
-		newFont = true;
+		_newFont = true;
 	}
 }
Index: /trunk/src/settingsdialog.h
===================================================================
--- /trunk/src/settingsdialog.h	(revision 91)
+++ /trunk/src/settingsdialog.h	(revision 92)
@@ -44,12 +44,19 @@
 	bool colorChanged() const;
 	bool fontChanged() const;
+	qint8 translucencyChanged() const;
 
 private:
+	bool _newFont;
+	bool _newColor;
+	qint8 _translucency;
+
 	QColor color;
 	QFont font;
-	bool newFont;
-	bool newColor;
+
 	QSettings *settings;
 	QHBoxLayout *layoutCitiesLimit;
+#ifdef Q_OS_WIN32
+	QCheckBox *cbUseTranslucency;
+#endif // Q_OS_WIN32
 #ifndef Q_OS_WINCE
 	QCheckBox *cbSaveState;
@@ -59,5 +66,5 @@
 
 	bool event(QEvent *ev);
-#endif // Q_OS_WINCE
+#endif
 
 private slots:
Index: /trunk/tspsg.pri
===================================================================
--- /trunk/tspsg.pri	(revision 91)
+++ /trunk/tspsg.pri	(revision 92)
@@ -20,5 +20,6 @@
 	src/tspmodel.h \
 	src/tspsolver.h \
-	src/resource.h
+	src/resource.h \
+	src/qtwin.h
 
 #Source files
@@ -27,5 +28,6 @@
 	src/settingsdialog.cpp \
 	src/tspmodel.cpp \
-	src/tspsolver.cpp
+	src/tspsolver.cpp \
+	src/qtwin.cpp
 
 #Forms
Index: /trunk/ui/mainwindow.ui
===================================================================
--- /trunk/ui/mainwindow.ui	(revision 91)
+++ /trunk/ui/mainwindow.ui	(revision 92)
@@ -4,12 +4,4 @@
  <class>MainWindow</class>
  <widget class="QMainWindow" name="MainWindow">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>297</width>
-    <height>353</height>
-   </rect>
-  </property>
   <property name="windowTitle">
    <string>Travelling Salesman Problem</string>
@@ -17,325 +9,306 @@
   <property name="windowIcon">
    <iconset resource="../resources/tspsg.qrc">
-    <normaloff>:/images/tspsg.png</normaloff>:/images/tspsg.png</iconset>
+	<normaloff>:/images/tspsg.png</normaloff>:/images/tspsg.png</iconset>
   </property>
-  <widget class="QWidget" name="centralwidget">
-   <widget class="QTabWidget" name="tabWidget">
-    <property name="geometry">
-     <rect>
-      <x>0</x>
-      <y>0</y>
-      <width>287</width>
-      <height>298</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="tabPosition">
-     <enum>QTabWidget::North</enum>
-    </property>
-    <property name="currentIndex">
-     <number>0</number>
-    </property>
-    <widget class="QWidget" name="tabTask">
-     <attribute name="title">
-      <string>Task</string>
-     </attribute>
-     <layout class="QVBoxLayout">
-      <item>
-       <layout class="QHBoxLayout">
-        <item>
-         <spacer>
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item>
-         <widget class="QLabel" name="labelVariant">
-          <property name="text">
-           <string>&amp;Variant:</string>
-          </property>
-          <property name="buddy">
-           <cstring>spinVariant</cstring>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QSpinBox" name="spinVariant">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Number of variant</string>
-          </property>
-          <property name="minimum">
-           <number>1</number>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QLabel" name="labelCities">
-          <property name="text">
-           <string>&amp;Cities:</string>
-          </property>
-          <property name="buddy">
-           <cstring>spinCities</cstring>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QSpinBox" name="spinCities">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Number of cities</string>
-          </property>
-          <property name="minimum">
-           <number>3</number>
-          </property>
-          <property name="value">
-           <number>5</number>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <spacer>
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-       </layout>
-      </item>
-      <item>
-       <widget class="QTableView" name="taskView">
-        <property name="statusTip">
-         <string>Cost of travel from city to city</string>
-        </property>
-        <property name="selectionMode">
-         <enum>QAbstractItemView::NoSelection</enum>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <layout class="QHBoxLayout">
-        <item>
-         <spacer>
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item>
-         <widget class="QPushButton" name="buttonRandom">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Fill table with random numbers</string>
-          </property>
-          <property name="text">
-           <string>Random</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QPushButton" name="buttonSolve">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Solve current task</string>
-          </property>
-          <property name="text">
-           <string>Solve</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
-    <widget class="QWidget" name="tabSolution">
-     <attribute name="title">
-      <string>Solution</string>
-     </attribute>
-     <layout class="QVBoxLayout" name="verticalLayout">
-      <item>
-       <widget class="QTextEdit" name="solutionText">
-        <property name="enabled">
-         <bool>false</bool>
-        </property>
-        <property name="statusTip">
-         <string>Solution steps</string>
-        </property>
-        <property name="readOnly">
-         <bool>true</bool>
-        </property>
-        <property name="textInteractionFlags">
-         <set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <layout class="QHBoxLayout" name="horizontalLayout">
-        <item>
-         <widget class="QPushButton" name="buttonSaveSolution">
-          <property name="enabled">
-           <bool>false</bool>
-          </property>
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Save solution to a file</string>
-          </property>
-          <property name="text">
-           <string>Save Solution</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <spacer name="horizontalSpacer">
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item>
-         <widget class="QPushButton" name="buttonBackToTask">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Go back to Task tab</string>
-          </property>
-          <property name="text">
-           <string>Back to Task</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
+  <widget class="QTabWidget" name="tabWidget">
+   <property name="tabPosition">
+	<enum>QTabWidget::North</enum>
+   </property>
+   <widget class="QWidget" name="tabTask">
+	<attribute name="title">
+	 <string>Task</string>
+	</attribute>
+	<layout class="QVBoxLayout" name="_2">
+	 <item>
+	  <layout class="QHBoxLayout">
+	   <item>
+		<spacer>
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QLabel" name="labelVariant">
+		 <property name="text">
+		  <string>&amp;Variant:</string>
+		 </property>
+		 <property name="buddy">
+		  <cstring>spinVariant</cstring>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QSpinBox" name="spinVariant">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Number of variant</string>
+		 </property>
+		 <property name="minimum">
+		  <number>1</number>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QLabel" name="labelCities">
+		 <property name="text">
+		  <string>&amp;Cities:</string>
+		 </property>
+		 <property name="buddy">
+		  <cstring>spinCities</cstring>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QSpinBox" name="spinCities">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Number of cities</string>
+		 </property>
+		 <property name="minimum">
+		  <number>3</number>
+		 </property>
+		 <property name="value">
+		  <number>5</number>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<spacer>
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	  </layout>
+	 </item>
+	 <item>
+	  <widget class="QTableView" name="taskView">
+	   <property name="statusTip">
+		<string>Cost of travel from city to city</string>
+	   </property>
+	   <property name="selectionMode">
+		<enum>QAbstractItemView::NoSelection</enum>
+	   </property>
+	  </widget>
+	 </item>
+	 <item>
+	  <layout class="QHBoxLayout">
+	   <item>
+		<spacer>
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonRandom">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Fill table with random numbers</string>
+		 </property>
+		 <property name="text">
+		  <string>Random</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonSolve">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Solve current task</string>
+		 </property>
+		 <property name="text">
+		  <string>Solve</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	  </layout>
+	 </item>
+	</layout>
+   </widget>
+   <widget class="QWidget" name="tabSolution">
+	<attribute name="title">
+	 <string>Solution</string>
+	</attribute>
+	<layout class="QVBoxLayout" name="_3">
+	 <item>
+	  <widget class="QTextEdit" name="solutionText">
+	   <property name="enabled">
+		<bool>false</bool>
+	   </property>
+	   <property name="statusTip">
+		<string>Solution steps</string>
+	   </property>
+	   <property name="readOnly">
+		<bool>true</bool>
+	   </property>
+	   <property name="textInteractionFlags">
+		<set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
+	   </property>
+	  </widget>
+	 </item>
+	 <item>
+	  <layout class="QHBoxLayout" name="horizontalLayout">
+	   <item>
+		<widget class="QPushButton" name="buttonSaveSolution">
+		 <property name="enabled">
+		  <bool>false</bool>
+		 </property>
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Save solution to a file</string>
+		 </property>
+		 <property name="text">
+		  <string>Save Solution</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<spacer name="horizontalSpacer">
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonBackToTask">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Go back to Task tab</string>
+		 </property>
+		 <property name="text">
+		  <string>Back to Task</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	  </layout>
+	 </item>
+	</layout>
    </widget>
   </widget>
   <widget class="QMenuBar" name="menubar">
    <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>0</y>
-     <width>297</width>
-     <height>21</height>
-    </rect>
+	<rect>
+	 <x>0</x>
+	 <y>0</y>
+	 <width>287</width>
+	 <height>21</height>
+	</rect>
    </property>
    <widget class="QMenu" name="menuFile">
-    <property name="windowIcon">
-     <iconset>
-      <normaloff/>
-     </iconset>
-    </property>
-    <property name="title">
-     <string>&amp;File</string>
-    </property>
-    <widget class="QMenu" name="menuFileSaveAs">
-     <property name="title">
-      <string>Save &amp;As</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
-     </property>
-     <addaction name="actionFileSaveAsTask"/>
-     <addaction name="actionFileSaveAsSolution"/>
-    </widget>
-    <addaction name="actionFileNew"/>
-    <addaction name="actionFileOpen"/>
-    <addaction name="actionFileSave"/>
-    <addaction name="menuFileSaveAs"/>
-    <addaction name="separator"/>
-    <addaction name="actionFileExit"/>
+	<property name="windowIcon">
+	 <iconset>
+	  <normaloff/>
+	 </iconset>
+	</property>
+	<property name="title">
+	 <string>&amp;File</string>
+	</property>
+	<widget class="QMenu" name="menuFileSaveAs">
+	 <property name="title">
+	  <string>Save &amp;As</string>
+	 </property>
+	 <property name="icon">
+	  <iconset resource="../resources/tspsg.qrc">
+	   <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+	 </property>
+	 <addaction name="actionFileSaveAsTask"/>
+	 <addaction name="actionFileSaveAsSolution"/>
+	</widget>
+	<addaction name="actionFileNew"/>
+	<addaction name="actionFileOpen"/>
+	<addaction name="actionFileSave"/>
+	<addaction name="menuFileSaveAs"/>
+	<addaction name="separator"/>
+	<addaction name="actionFileExit"/>
    </widget>
    <widget class="QMenu" name="menuSettings">
-    <property name="title">
-     <string>&amp;Settings</string>
-    </property>
-    <widget class="QMenu" name="menuSettingsLanguage">
-     <property name="toolTip">
-      <string>Select language</string>
-     </property>
-     <property name="statusTip">
-      <string>Select application language</string>
-     </property>
-     <property name="title">
-      <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
-     </property>
-     <addaction name="actionSettingsLanguageAutodetect"/>
-     <addaction name="separator"/>
-     <addaction name="actionSettingsLanguageEnglish"/>
-    </widget>
-    <addaction name="menuSettingsLanguage"/>
-    <addaction name="separator"/>
-    <addaction name="actionSettingsPreferences"/>
+	<property name="title">
+	 <string>&amp;Settings</string>
+	</property>
+	<widget class="QMenu" name="menuSettingsLanguage">
+	 <property name="toolTip">
+	  <string>Select language</string>
+	 </property>
+	 <property name="statusTip">
+	  <string>Select application language</string>
+	 </property>
+	 <property name="title">
+	  <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
+	 </property>
+	 <property name="icon">
+	  <iconset resource="../resources/tspsg.qrc">
+	   <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
+	 </property>
+	 <addaction name="actionSettingsLanguageAutodetect"/>
+	 <addaction name="separator"/>
+	 <addaction name="actionSettingsLanguageEnglish"/>
+	</widget>
+	<addaction name="menuSettingsLanguage"/>
+	<addaction name="separator"/>
+	<addaction name="actionSettingsPreferences"/>
    </widget>
    <widget class="QMenu" name="menuHelp">
-    <property name="title">
-     <string>&amp;Help</string>
-    </property>
-    <addaction name="actionHelpContents"/>
-    <addaction name="actionHelpContextual"/>
-    <addaction name="separator"/>
-    <addaction name="actionHelpAboutQt"/>
-    <addaction name="actionHelpAbout"/>
+	<property name="title">
+	 <string>&amp;Help</string>
+	</property>
+	<addaction name="actionHelpContents"/>
+	<addaction name="actionHelpContextual"/>
+	<addaction name="separator"/>
+	<addaction name="actionHelpAboutQt"/>
+	<addaction name="actionHelpAbout"/>
    </widget>
    <addaction name="menuFile"/>
@@ -345,14 +318,14 @@
   <widget class="QToolBar" name="toolBar">
    <property name="cursor">
-    <cursorShape>ArrowCursor</cursorShape>
+	<cursorShape>ArrowCursor</cursorShape>
    </property>
    <property name="windowTitle">
-    <string>Toolbar</string>
+	<string>Toolbar</string>
    </property>
    <attribute name="toolBarArea">
-    <enum>TopToolBarArea</enum>
+	<enum>TopToolBarArea</enum>
    </attribute>
    <attribute name="toolBarBreak">
-    <bool>false</bool>
+	<bool>false</bool>
    </attribute>
    <addaction name="actionFileNew"/>
@@ -366,194 +339,194 @@
   <action name="actionFileSaveAsSolution">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Solution...</string>
+	<bool>false</bool>
+   </property>
+   <property name="text">
+	<string>&amp;Solution...</string>
    </property>
    <property name="toolTip">
-    <string>Save solution</string>
-   </property>
-   <property name="statusTip">
-    <string>Save solution to a file</string>
+	<string>Save solution</string>
+   </property>
+   <property name="statusTip">
+	<string>Save solution to a file</string>
    </property>
   </action>
   <action name="actionFileNew">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;New</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;New</string>
    </property>
    <property name="toolTip">
-    <string>New task</string>
-   </property>
-   <property name="statusTip">
-    <string>Create new task</string>
+	<string>New task</string>
+   </property>
+   <property name="statusTip">
+	<string>Create new task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+N</string>
+	<string>Ctrl+N</string>
    </property>
   </action>
   <action name="actionFileOpen">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Open...</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Open...</string>
    </property>
    <property name="toolTip">
-    <string>Open task</string>
-   </property>
-   <property name="statusTip">
-    <string>Open saved task</string>
+	<string>Open task</string>
+   </property>
+   <property name="statusTip">
+	<string>Open saved task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+O</string>
+	<string>Ctrl+O</string>
    </property>
   </action>
   <action name="actionSettingsPreferences">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Preferences...</string>
-   </property>
-   <property name="statusTip">
-    <string>Application preferences</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Preferences...</string>
+   </property>
+   <property name="statusTip">
+	<string>Application preferences</string>
    </property>
   </action>
   <action name="actionHelpContents">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Contents</string>
-   </property>
-   <property name="statusTip">
-    <string>Open help contents</string>
+	<bool>false</bool>
+   </property>
+   <property name="icon">
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Contents</string>
+   </property>
+   <property name="statusTip">
+	<string>Open help contents</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+F1</string>
+	<string>Ctrl+F1</string>
    </property>
   </action>
   <action name="actionHelpContextual">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
-   </property>
-   <property name="text">
-    <string>Context &amp;Help</string>
-   </property>
-   <property name="statusTip">
-    <string>Open context help</string>
+	<bool>false</bool>
+   </property>
+   <property name="icon">
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+   </property>
+   <property name="text">
+	<string>Context &amp;Help</string>
+   </property>
+   <property name="statusTip">
+	<string>Open context help</string>
    </property>
    <property name="shortcut">
-    <string>F1</string>
+	<string>F1</string>
    </property>
   </action>
   <action name="actionHelpAbout">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;About TSPSG...</string>
-   </property>
-   <property name="statusTip">
-    <string>About application</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;About TSPSG...</string>
+   </property>
+   <property name="statusTip">
+	<string>About application</string>
    </property>
   </action>
   <action name="actionFileExit">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
-   </property>
-   <property name="text">
-    <string>E&amp;xit</string>
-   </property>
-   <property name="statusTip">
-    <string>Exit application</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
+   </property>
+   <property name="text">
+	<string>E&amp;xit</string>
+   </property>
+   <property name="statusTip">
+	<string>Exit application</string>
    </property>
   </action>
   <action name="actionFileSaveAsTask">
    <property name="text">
-    <string>&amp;Task...</string>
+	<string>&amp;Task...</string>
    </property>
    <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save task to file</string>
+	<string>Save task</string>
+   </property>
+   <property name="statusTip">
+	<string>Save task to file</string>
    </property>
   </action>
   <action name="actionSettingsLanguageAutodetect">
    <property name="checkable">
-    <bool>true</bool>
+	<bool>true</bool>
    </property>
    <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Autodetect</string>
+	<bool>true</bool>
+   </property>
+   <property name="text">
+	<string>&amp;Autodetect</string>
    </property>
    <property name="toolTip">
-    <string>Detect language automatically</string>
-   </property>
-   <property name="statusTip">
-    <string>Detect language automatically based on regional settings</string>
+	<string>Detect language automatically</string>
+   </property>
+   <property name="statusTip">
+	<string>Detect language automatically based on regional settings</string>
    </property>
   </action>
   <action name="actionSettingsLanguageEnglish">
    <property name="checkable">
-    <bool>true</bool>
+	<bool>true</bool>
    </property>
    <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string notr="true">&amp;English</string>
+	<bool>true</bool>
+   </property>
+   <property name="text">
+	<string notr="true">&amp;English</string>
    </property>
    <property name="iconText">
-    <string notr="true">English</string>
+	<string notr="true">English</string>
    </property>
   </action>
   <action name="actionFileSave">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Save</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Save</string>
    </property>
    <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save current task</string>
+	<string>Save task</string>
+   </property>
+   <property name="statusTip">
+	<string>Save current task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+S</string>
+	<string>Ctrl+S</string>
    </property>
   </action>
   <action name="actionHelpAboutQt">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/qtlogo-64.png</normaloff>:/images/icons/qtlogo-64.png</iconset>
-   </property>
-   <property name="text">
-    <string>About &amp;Qt...</string>
-   </property>
-   <property name="statusTip">
-    <string>About Qt library</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/qtlogo-64.png</normaloff>:/images/icons/qtlogo-64.png</iconset>
+   </property>
+   <property name="text">
+	<string>About &amp;Qt...</string>
+   </property>
+   <property name="statusTip">
+	<string>About Qt library</string>
    </property>
   </action>
@@ -569,12 +542,12 @@
    <slot>close()</slot>
    <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>294</x>
-     <y>229</y>
-    </hint>
+	<hint type="sourcelabel">
+	 <x>-1</x>
+	 <y>-1</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>294</x>
+	 <y>229</y>
+	</hint>
    </hints>
   </connection>
@@ -585,12 +558,12 @@
    <slot>trigger()</slot>
    <hints>
-    <hint type="sourcelabel">
-     <x>58</x>
-     <y>327</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
+	<hint type="sourcelabel">
+	 <x>58</x>
+	 <y>327</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>-1</x>
+	 <y>-1</y>
+	</hint>
    </hints>
   </connection>
